## cong-editor-line-fragments

cong-editor-line-fragments —

## Synopsis

    #define     DEBUG_EDITOR_LINE_FRAGMENTS_LIFETIMES
    #define     CONG_EDITOR_LINE_FRAGMENTS      (obj)
    #define     CONG_EDITOR_LINE_FRAGMENTS_CLASS(klass)
    #define     IS_CONG_EDITOR_LINE_FRAGMENTS   (obj)
    GType       cong_editor_line_fragments_get_type
                                                (void);
    CongEditorLineFragments* cong_editor_line_fragments_construct
                                                (CongEditorLineFragments *line_fragments);
    CongEditorLineFragments* cong_editor_line_fragments_new
                                                (void);
    GList*      cong_editor_line_fragments_get_area_list
                                                (CongEditorLineFragments *line_fragments);
    void        cong_editor_line_fragments_add_area
                                                (CongEditorLineFragments *line_fragments,
                                                 CongEditorArea *area);

## Description

## Details

### DEBUG_EDITOR_LINE_FRAGMENTS_LIFETIMES

    #define DEBUG_EDITOR_LINE_FRAGMENTS_LIFETIMES 0

### CONG_EDITOR_LINE_FRAGMENTS()

    #define CONG_EDITOR_LINE_FRAGMENTS(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_LINE_FRAGMENTS_TYPE, CongEditorLineFragments)

`obj` : |

### CONG_EDITOR_LINE_FRAGMENTS_CLASS()

    #define CONG_EDITOR_LINE_FRAGMENTS_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_LINE_FRAGMENTS_TYPE, CongEditorLineFragmentsClass)

`klass` : |

### IS_CONG_EDITOR_LINE_FRAGMENTS()

    #define IS_CONG_EDITOR_LINE_FRAGMENTS(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_LINE_FRAGMENTS_TYPE)

`obj` : |

### cong_editor_line_fragments_get_type ()

    GType       cong_editor_line_fragments_get_type
                                                (void);

Returns : |

### cong_editor_line_fragments_construct ()

    CongEditorLineFragments* cong_editor_line_fragments_construct
                                                (CongEditorLineFragments *line_fragments);

`line_fragments` : |
Returns : |

### cong_editor_line_fragments_new ()

    CongEditorLineFragments* cong_editor_line_fragments_new
                                                (void);

Returns : | a new CongEditorLineFragments

### cong_editor_line_fragments_get_area_list ()

    GList*      cong_editor_line_fragments_get_area_list
                                                (CongEditorLineFragments *line_fragments);

TODO: Write me

`line_fragments` : |
Returns : |

### cong_editor_line_fragments_add_area ()

    void        cong_editor_line_fragments_add_area
                                                (CongEditorLineFragments *line_fragments,
                                                 CongEditorArea *area);

TODO: Write me

`line_fragments` : |
`area` : |